Subject: Re: [bug#71552] [PATCH] pack: Create /tmp in Apptainer images.

From: Lars Bilke <[email-masked]>
Date: Mon, 15 Jul 2024 09:08:10 +0200

Hi Ludo,

thanks a lot for merging!

Without this patch I could not run OpenMPI / PETSc applications via 
apptainer, I had to specify `apptainer exec --bind /tmp:/tmp ...` but I 
can't recall the actual error message anymore...

Sincerely,
Lars

On 10 Jul 2024, at 16:03, Ludovic Courtès wrote:

> Hi Lars,
>
> Lars Bilke <[email-masked]> skribis:
>
>> Related to <https://bugs.gnu.org/37161> and
>> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7979a287f8eb84cbbfa44629951572408939a756> 
>> .
>>
>> Change-Id: I576aaa6ba8cb8478acf4c3144d492ae5caf411ca
>
> I tweaked the commit log to match our conventions and applied it.
> Thanks!
>
> I don’t recall having problems with images that lack /tmp (we use 
> ‘guix
> pack -f squashfs’ regularly at work), but I guess having it cannot 
> hurt.
>
> Ludo’.